Exchange Information
Response
{
"timezone": "CST",
"serverTime": 1765342336768,
"rateLimits": [],
"exchangeFilters": [],
"symbols": [
{
"symbol": "BTCUSDT",
"status": "1",
"baseAsset": "BTC",
"baseAssetPrecision": 8,
"quoteAsset": "USDT",
"quotePrecision": 2,
"quoteAssetPrecision": 2,
"baseCommissionPrecision": 8,
"quoteCommissionPrecision": 2,
"orderTypes": [
"LIMIT",
"MARKET",
"LIMIT_MAKER"
],
"isSpotTradingAllowed": false,
"isMarginTradingAllowed": false,
"quoteAmountPrecision": "1",
"baseSizePrecision": "0.000001",
"permissions": [
"SPOT"
],
"filters": [
{
"filterType": "PERCENT_PRICE_BY_SIDE",
"bidMultiplierUp": "0.005",
"askMultiplierDown": "0.005"
}
],
"maxQuoteAmount": "4000000",
"makerCommission": "0",
"takerCommission": "0.0005",
"quoteAmountPrecisionMarket": "1",
"maxQuoteAmountMarket": "4000000",
"fullName": "Bitcoin",
"tradeSideType": 1,
"contractAddress": "",
"conceptPlateIds": [
50,
5,
39,
12
],
"firstOpenTime": 1506787200000,
"st": false
}
]
}
- GET
/api/v3/exchangeInfo
Current exchange trading rules and symbol information
Weight(IP): 25
Parameter:
There are 3 possible options:
| Method | Example |
|---|---|
| No parameter | curl -X GET "https://api.mexc.com/api/v3/exchangeInfo" |
| symbol | curl -X GET "https://api.mexc.com/api/v3/exchangeInfo?symbol=MXUSDT" |
| symbols | curl -X GET "https://api.mexc.com/api/v3/exchangeInfo?symbols=MXUSDT,BTCUSDT" |
Response:
| Name | Type | Description |
|---|---|---|
| timezone | string | timezone |
| serverTime | long | server Time |
| rateLimits | Array | rate Limits |
| exchangeFilters | Array | exchange Filters |
| symbol | String | symbol |
| status | String | status:1 - online, 2 - Pause, 3 - offline |
| baseAsset | String | base Asset |
| baseAssetPrecision | Int | base Asset Precision |
| quoteAsset | String | quote Asset |
| quotePrecision | Int | quote Precision |
| quoteAssetPrecision | Int | quote Asset Precision |
| baseCommissionPrecision | Int | base Commission Precision |
| quoteCommissionPrecision | Int | quote Commission Precision |
| orderTypes | Array | ENUM: Order Type |
| isSpotTradingAllowed | Boolean | allow api spot trading |
| isMarginTradingAllowed | Boolean | allow api margin trading |
| permissions | Array | permissions |
| filterType | String | filter type:PERCENT_PRICE_BY_SIDE |
| bidMultiplierUp | String | bidMultiplierUp |
| askMultiplierDown | String | askMultiplierDown |
| maxQuoteAmount | String | max Quote Amount |
| makerCommission | String | marker Commission |
| takerCommission | String | taker Commission |
| quoteAmountPrecision | string | min order amount |
| baseSizePrecision | string | min order quantity |
| quoteAmountPrecisionMarket | string | min order amount in market order |
| maxQuoteAmountMarket | String | max quote Amount in market order |
| tradeSideType | String | tradeSide Type:1 - All, 2 - buy order only, 3 - Sell order only, 4 - Close |
| contractAddress | String | contract Address |
| firstOpenTime | long | Initial listing time, represented as a 13-digit millisecond timestamp |
| st | String | symbol st status:false,true |
filter parameter description:
- lastPrice means using the latest trade price, orderPrice means the order placement price.
- For buy orders (only for LIMIT, IMMEDIATE_OR_CANCEL, FILL_OR_KILL):
orderPrice <= lastPrice * bidMultiplierUp - For sell orders:
orderPrice >= lastPrice * askMultiplierDown